// ==================================================
// Project Name  :  kitbe - HTML Template.
// File          :  JS Base
// Version       :  1.0.0
// Last change   :  18 February 2020
// Author        :  DroitThemes - (https://themeforest.net/user/droitthemes)
// Developer:    :  Rakibul Islam Dewan - (https://www.facebook.com/rakibul.d.islam)
// ==================================================




(function($) {
  "use strict";



  // back to top - start
  // --------------------------------------------------
  $(window).scroll(function() {
    if ($(this).scrollTop() > 200) {
      $('#backtotop:hidden').stop(true, true).fadeIn();
    } else {
      $('#backtotop').stop(true, true).fadeOut();
    }
  });
  $(function() {
    $("#scroll").on('click', function() {
      $("html,body").animate({
        scrollTop: $("#thetop").offset().top
      }, "slow");
      return false
    })
  });
  // back to top - end
  // --------------------------------------------------



  // preloader - start
  // --------------------------------------------------
  $(window).on('load', function(){
    $('#preloader').fadeOut('slow',function(){$(this).remove();});
  });
  // preloader - end
  // --------------------------------------------------



  // search box - start
  // --------------------------------------------------
  $('.search-btn').on('click', function() {
    $(this).toggleClass('active');
    $('.search-body').toggleClass('active');
  });
  // search box - end
  // --------------------------------------------------



  // background image - start
  // --------------------------------------------------
  $('[data-background]').each(function() {
    $(this).css('background-image', 'url('+ $(this).attr('data-background') + ')');
  });
  // background image - end
  // --------------------------------------------------



  // background parallax - start
  // --------------------------------------------------
  $('.parallax-window').parallax();
  // background parallax - end
  // --------------------------------------------------



  // menu button - start
  // --------------------------------------------------
  $(document).ready(function () {
    $('.close-btn, .overlay').on('click', function () {
      $('#sidebar-menu').removeClass('active');
      $('.overlay').removeClass('active');
    });

    $('#sidebar-collapse').on('click', function () {
      $('#sidebar-menu').addClass('active');
      $('.overlay').addClass('active');
    });
  });
  // menu button - end
  // --------------------------------------------------



  // sticky header - start
  // --------------------------------------------------
  $(window).on('scroll', function () {
    if ($(this).scrollTop() > 100) {
      $('.sticky-header').addClass("stuck")
      // $(".sticky-header img").attr("src", "img/logo.png");
    } else {
      $('.sticky-header').removeClass("stuck")
      // $(".sticky-header img").attr("src", "img/logo-white.png");
    }
  });

  $(window).on('scroll', function () {
    if ($(this).scrollTop() > 100) {
      $(".sticky-header.text-white .brand-logo img").attr("src", "assets/images/logo/logo_1.png");
    } else {
      $(".sticky-header.text-white .brand-logo img").attr("src", "assets/images/logo/logo_3.png");
    }
  });
  // sticky header - end
  // --------------------------------------------------



  // scroll animation - start
  // --------------------------------------------------
  AOS.init({
    // disable: function() {
    //   var maxWidth = 769;
    //   return window.innerWidth < maxWidth;
    // }
    once:true,
    duration:1000,
  });
  // scroll animation - end
  // --------------------------------------------------



  // magnific Popup - start
  // --------------------------------------------------
  $('.play-btn').magnificPopup({
    // disableOn: 700,
    type: 'iframe',
    mainClass: 'mfp-fade',
    removalDelay: 160,
    preloader: false,

    fixedContentPos: false
  });

  $('.zoom-gallery').magnificPopup({
    delegate: '.popup-image',
    type: 'image',
    closeOnContentClick: false,
    closeBtnInside: false,
    mainClass: 'mfp-with-zoom mfp-img-mobile',
    image: {
      verticalFit: true,
      titleSrc: function(item) {
        return item.el.attr('title') + ' &middot; <a class="image-source-link" href="'+item.el.attr('data-source')+'" target="_blank">image source</a>';
      }
    },
    gallery: {
      enabled: true
    },
    zoom: {
      enabled: true,
      duration: 300, // don't foget to change the duration also in CSS
      opener: function(element) {
        return element.find('img');
      }
    }
    
  });
  // magnific Popup - end
  // --------------------------------------------------



  // main carousel - start
  // --------------------------------------------------
  $('#main-carousel').owlCarousel({
    items:1,
    margin:0,
    nav:true,
    loop:true,
    dots:false,
    autoplay:true,
    smartSpeed:1200,
    autoplayTimeout:8000,
    autoplayHoverPause:true
  });
  // main carousel - end
  // --------------------------------------------------



  // clients carousel - start
  // --------------------------------------------------
  $('#clients-carousel').owlCarousel({
    loop:true,
    margin:0,
    nav:false,
    dots:false,
    autoplay:true,
    smartSpeed:800,
    autoplayTimeout:6000,
    autoplayHoverPause:true,
    responsive:{
      0:{
        items:2
      },
      480:{
        items:2
      },
      580:{
        items:3
      },
      680:{
        items:3
      },
      767:{
        items:4
      },
      991:{
        items:4
      },
      1000:{
        items:5
      }
    }
  });
  // clients carousel - end
  // --------------------------------------------------



  // team carousel - start
  // --------------------------------------------------
  $('#team-carousel').owlCarousel({
    loop:true,
    margin:0,
    nav:true,
    dots:false,
    autoplay:true,
    smartSpeed:800,
    autoplayTimeout:6000,
    autoplayHoverPause:true,
    responsive:{
      0:{
        items:1
      },
      600:{
        items:2,
        center:true
      },
      1000:{
        items:4
      }
    }
  });
  // team carousel - end
  // --------------------------------------------------



  // teatimonial carousel - start
  // --------------------------------------------------
  $('.teatimonial_carousel').owlCarousel({
    items:1,
    dots:false,
    thumbs:true,
    nav:true,
    smartSpeed:600,
    thumbImage:false,
    thumbsPrerendered:true,
    thumbContainerClass:'carousel_thumb',
    thumbItemClass:'thumb-item'
  });
  // teatimonial carousel - end
  // --------------------------------------------------



  // masoney grid layout - start
  // --------------------------------------------------

  var img_grid = $('.grid');
   if( img_grid.length ) {
    img_grid.imagesLoaded(function () {
        img_grid.masonry({
            itemSelector: '.grid-item',
            percentPosition: true,
            columnWidth: '.grid-sizer'
        });
    });
   }

  // masoney grid layout - end
  // --------------------------------------------------



  // google map - start
  // --------------------------------------------------
  function isMobile() { 
    return ('ontouchstart' in document.documentElement);
  }

  function init_gmap() {
    if ( typeof google == 'undefined' ) return;
    var options = {
      center: [1.2960841, 103.8458455],
      zoom: 14,
      styles: [
      {elementType: 'geometry', stylers: [{color: '#eaeaea'}]},
      {elementType: 'labels.text.stroke', stylers: [{color: '#ffffff'}]},
      {elementType: 'labels.text.fill', stylers: [{color: '$pure-black'}]},
      {
        featureType: 'administrative.locality',
        elementType: 'labels.text.fill',
        stylers: [{color: '#d59563'}]
      },
      {
        featureType: 'poi',
        elementType: 'labels.text.fill',
        stylers: [{color: '#61605e'}]
      },
      {
        featureType: 'poi.park',
        elementType: 'geometry',
        stylers: [{color: '#cbe99f'}]
      },
      {
        featureType: 'poi.park',
        elementType: 'labels.text.fill',
        stylers: [{color: '#98786d'}]
      },
      {
        featureType: 'road',
        elementType: 'geometry',
        stylers: [{color: '#ffffff'}]
      },
      {
        featureType: 'road',
        elementType: 'geometry.stroke',
        stylers: [{color: '#ffffff'}]
      },
      {
        featureType: 'road',
        elementType: 'labels.text.fill',
        stylers: [{color: '#39c2f8'}]
      },
      {
        featureType: 'road.highway',
        elementType: 'geometry',
        stylers: [{color: '#fedd96'}]
      },
      {
        featureType: 'road.highway',
        elementType: 'geometry.stroke',
        stylers: [{color: '#eeca83'}]
      },
      {
        featureType: 'road.highway',
        elementType: 'labels.text.fill',
        stylers: [{color: '#965c28'}]
      },
      {
        featureType: 'transit',
        elementType: 'geometry',
        stylers: [{color: '#fef5b6'}]
      },
      {
        featureType: 'transit.station',
        elementType: 'labels.text.fill',
        stylers: [{color: '#f1e0ca'}]
      },
      {
        featureType: 'water',
        elementType: 'geometry',
        stylers: [{color: '#a1cafe'}]
      },
      {
        featureType: 'water',
        elementType: 'labels.text.fill',
        stylers: [{color: '$pure-black'}]
      },
      {
        featureType: 'water',
        elementType: 'labels.text.stroke',
        stylers: [{color: '#ffffff'}]
      }
      ],
      mapTypeControl: true,
      mapTypeControlOptions: {
        style: google.maps.MapTypeControlStyle.DROPDOWN_MENU
      },
      navigationControl: true,
      scrollwheel: false,
      streetViewControl: true,
    }

    if (isMobile()) {
      options.draggable = false;
    }

    $('#google-map').gmap3({
      map: {
        options: options
      },
      marker: {
        latLng: [1.2960841, 103.8458455],
        // options: { icon: 'assets/img/map.png' }
      }
    });
  }
  init_gmap();
  // google map - end
  // --------------------------------------------------



})(jQuery);